# Uses of Interface
org.springframework.http.server.reactive.HttpHandler

Packages that use HttpHandler
Package
Description
org.springframework.http.server.reactive
Abstractions for reactive HTTP server support including a `ServerHttpRequest` and `ServerHttpResponse` along with an `HttpHandler` for processing.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.

## Uses of HttpHandler in org.springframework.http.server.reactive

Classes in org.springframework.http.server.reactive that implement HttpHandler
Modifier and Type
Class
Description
`class`
`ContextPathCompositeHandler`
`HttpHandler` delegating requests to one of several `HttpHandler`'s based on simple, prefix-based mappings.
Constructors in org.springframework.http.server.reactive with parameters of type HttpHandler
Modifier
Constructor
Description
``
`JettyCoreHttpHandlerAdapter(HttpHandler httpHandler)`
``
`JettyHttpHandlerAdapter(HttpHandler httpHandler)`
``
`ReactorHttpHandlerAdapter(HttpHandler httpHandler)`
``
`ReactorNetty2HttpHandlerAdapter(HttpHandler httpHandler)`
``
`ServletHttpHandlerAdapter(HttpHandler httpHandler)`
``
`TomcatHttpHandlerAdapter(HttpHandler httpHandler)`
``
`UndertowHttpHandlerAdapter(HttpHandler httpHandler)`
Constructor parameters in org.springframework.http.server.reactive with type arguments of type HttpHandler
Modifier
Constructor
Description
``
`ContextPathCompositeHandler(Map<String,? extends HttpHandler> handlerMap)`

## Uses of HttpHandler in org.springframework.web.server.adapter

Classes in org.springframework.web.server.adapter that implement HttpHandler
Modifier and Type
Class
Description
`class`
`HttpWebHandlerAdapter`
Default adapter of `WebHandler` to the `HttpHandler` contract.
Methods in org.springframework.web.server.adapter that return HttpHandler
Modifier and Type
Method
Description
`HttpHandler`
WebHttpHandlerBuilder.`build()`
Build the `HttpHandler`.
Method parameters in org.springframework.web.server.adapter with type arguments of type HttpHandler
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`httpHandlerDecorator(Function<HttpHandler,HttpHandler> handlerDecorator)`
Configure a `Function` to decorate the `HttpHandler` returned by this builder which effectively wraps the entire `WebExceptionHandler` - `WebFilter` - `WebHandler` processing chain.
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`httpHandlerDecorator(Function<HttpHandler,HttpHandler> handlerDecorator)`
Configure a `Function` to decorate the `HttpHandler` returned by this builder which effectively wraps the entire `WebExceptionHandler` - `WebFilter` - `WebHandler` processing chain.